> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a track from a playlist



## OpenAPI

````yaml /api-reference/openapi.json post /app.rocksky.playlist.removeTrack
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.playlist.removeTrack:
    post:
      tags:
        - app.rocksky.playlist
      summary: Remove a track from a playlist
      operationId: app.rocksky.playlist.removeTrack
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````